CamelIMAPPSummary
3
CAMEL Library

# CamelIMAPPSummary

## Synopsis

    #define             CAMEL_IMAPP_SERVER_FLAGS
    #define             CAMEL_IMAPP_MESSAGE_RECENT
                        CamelIMAPPSummary;
                        CamelIMAPPMessageInfo;
    CamelFolderSummary* camel_imapp_summary_new             (void);

## Description

## Details

### CAMEL_IMAPP_SERVER_FLAGS

    #define             CAMEL_IMAPP_SERVER_FLAGS

### CAMEL_IMAPP_MESSAGE_RECENT

    #define CAMEL_IMAPP_MESSAGE_RECENT (1 << 8)

### CamelIMAPPSummary

    typedef struct {
    	CamelFolderSummary parent;

    	guint32 version;
    	guint32 uidvalidity;
    } CamelIMAPPSummary;

### CamelIMAPPMessageInfo

    typedef struct {
    	CamelMessageInfoBase info;

    	guint32 server_flags;
    } CamelIMAPPMessageInfo;

### camel_imapp_summary_new ()

    CamelFolderSummary* camel_imapp_summary_new             (void);

This will create a new CamelIMAPPSummary object and read in the summary data from disk, if it exists.

Returns :

  A new CamelIMAPPSummary object.